org.eclnt.workplace

## Interface IWorkpageDispatcher

- All Superinterfaces:
    IDispatcher, java.util.Map<java.lang.String,java.lang.Object>, java.io.Serializable
  All Known Implementing Classes:
    CCTDDispatcher, WorkpageDispatcher

      public interface IWorkpageDispatcher
      extends IDispatcher, java.io.Serializable

  Dispatcher that is used within the workplace management. For each workpage that is started a workpage dispatcher is created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Statusbar` | `getStatusbar()` The statusbar that is associated with this workpage.
    `IWorkpage` | `getWorkpage()` The workpage that is associated with this dispatcher.
    `IWorkpageContainer` | `getWorkpageContainer()`
    `boolean` | `isOpenedAsPopup()` Tells if the current content of the workpage is isolated into a modeless popup by the workpage container.
    `void` | `setWorkpage(IWorkpage workpage)` Internally used.

    - ### Methods inherited from interface org.eclnt.jsfserver.managedbean.IDispatcher

      `checkIfDispatchedBeanIsLoaded, checkIfDispatchedBeanIsLoaded, createModalPopup, createModelessPopup, createSubDispatcherIndex, createSubDispatcherInstance, destroy, getChildDispatchers, getContentReplace, getDispatchedBean, getDispatchedBean, getExpressionBase, getMyExpression, getMyExpression, getOwner, getTopOwner, removeDispatchedBean, removeDispatchedBean, setOwner, unregisterSubDispatcherInstance, updateExpression`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### setWorkpage

          void setWorkpage(IWorkpage workpage)

      Internally used.

    - #### getWorkpageContainer

          IWorkpageContainer getWorkpageContainer()

    - #### getWorkpage

          IWorkpage getWorkpage()

      The workpage that is associated with this dispatcher.

    - #### getStatusbar

          Statusbar getStatusbar()

      The statusbar that is associated with this workpage.

    - #### isOpenedAsPopup

          boolean isOpenedAsPopup()

      Tells if the current content of the workpage is isolated into a modeless popup by the workpage container.

Copyright © CaptainCasa Gmbh. All Rights Reserved.